For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign upLog in
Developer GuideCore ConceptsAPI Reference
  • API Reference
        • GETList
        • POSTCreate
        • GETGet
        • PUTUpsert
        • DELDelete
        • PATCHUpdate
          • GETDependencies JSON
          • GETCSV
LogoLogo
Sign upLog in
API ReferenceModelObjectsExport

Dependencies JSON

GET
https://api.icepanel.io/v1/landscapes/:landscapeId/versions/:versionId/model/objects/:modelObjectId/dependencies/export/json
GET
/v1/landscapes/:landscapeId/versions/:versionId/model/objects/:modelObjectId/dependencies/export/json
1import { IcePanelClient } from "@icepanel/sdk";
2
3async function main() {
4 const client = new IcePanelClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.model.objects.export.dependenciesJson("landscapeId", "versionId", "modelObjectId");
8}
9main();
1{
2 "incomingConnectionObjects": {},
3 "incomingConnections": [
4 {
5 "description": "string",
6 "direction": "outgoing",
7 "id": "string",
8 "name": "string",
9 "originId": "string",
10 "status": "deprecated",
11 "tagIds": [
12 "string"
13 ],
14 "targetId": "string",
15 "technologyIds": [
16 "string"
17 ],
18 "viaId": "string",
19 "links": {}
20 }
21 ],
22 "outgoingConnectionObjects": {},
23 "outgoingConnections": [
24 {
25 "description": "string",
26 "direction": "outgoing",
27 "id": "string",
28 "name": "string",
29 "originId": "string",
30 "status": "deprecated",
31 "tagIds": [
32 "string"
33 ],
34 "targetId": "string",
35 "technologyIds": [
36 "string"
37 ],
38 "viaId": "string",
39 "links": {}
40 }
41 ]
42}
Export object dependencies as JSON
Was this page helpful?
Previous

CSV

Next
Built with

Authentication

X-API-Keystring
API key authentication
OR
AuthorizationBearer
Bearer token authentication

Path parameters

landscapeIdstringRequired
versionIdstringRequired
modelObjectIdstringRequired

Response

OK
incomingConnectionObjectsmap from strings to lists of objects
incomingConnectionslist of objects
outgoingConnectionObjectsmap from strings to lists of objects
outgoingConnectionslist of objects

Errors

401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error